import { OnDestroy, OnInit } from '@angular/core';
import { Editor } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class TiptapFloatingMenuDirective implements OnInit, OnDestroy {
    private elRef;
    readonly pluginKey: import("@angular/core").InputSignal<string | import("prosemirror-state").PluginKey<any>>;
    readonly editor: import("@angular/core").InputSignal<Editor>;
    readonly tippyOptions: import("@angular/core").InputSignal<Partial<import("tippy.js").Props> | undefined>;
    readonly shouldShow: import("@angular/core").InputSignal<((props: {
        editor: Editor;
        view: import("prosemirror-view").EditorView;
        state: import("prosemirror-state").EditorState;
        oldState?: import("prosemirror-state").EditorState;
    }) => boolean) | null | undefined>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TiptapFloatingMenuDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TiptapFloatingMenuDirective, "tiptap-floating-menu[editor], [tiptapFloatingMenu][editor]", never, { "pluginKey": { "alias": "pluginKey"; "required": false; "isSignal": true; }; "editor": { "alias": "editor"; "required": true; "isSignal": true; }; "tippyOptions": { "alias": "tippyOptions"; "required": false; "isSignal": true; }; "shouldShow": { "alias": "shouldShow"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
