import type { NodeViewProps } from '@tiptap/core';
import * as i0 from "@angular/core";
type Inputs = 'editor' | 'node' | 'decorations' | 'innerDecorations' | 'view' | 'selected' | 'extension' | 'HTMLAttributes' | 'getPos' | 'updateAttributes' | 'deleteNode';
type NodeViewPropsWithoutInputs = Omit<NodeViewProps, Inputs>;
export declare class AngularNodeViewComponent implements NodeViewPropsWithoutInputs {
    readonly editor: import("@angular/core").InputSignal<import("@tiptap/core").Editor>;
    readonly node: import("@angular/core").InputSignal<import("prosemirror-model").Node>;
    readonly decorations: import("@angular/core").InputSignal<readonly import("@tiptap/core").DecorationWithType[]>;
    readonly innerDecorations: import("@angular/core").InputSignal<import("prosemirror-view").DecorationSource>;
    readonly view: import("@angular/core").InputSignal<import("prosemirror-view").EditorView>;
    readonly selected: import("@angular/core").InputSignal<boolean>;
    readonly extension: import("@angular/core").InputSignal<import("@tiptap/core").Node<any, any>>;
    readonly HTMLAttributes: import("@angular/core").InputSignal<Record<string, any>>;
    readonly getPos: import("@angular/core").InputSignal<() => number>;
    readonly updateAttributes: import("@angular/core").InputSignal<(attributes: Record<string, any>) => void>;
    readonly deleteNode: import("@angular/core").InputSignal<() => void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularNodeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularNodeViewComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": true; "isSignal": true; }; "node": { "alias": "node"; "required": true; "isSignal": true; }; "decorations": { "alias": "decorations"; "required": true; "isSignal": true; }; "innerDecorations": { "alias": "innerDecorations"; "required": true; "isSignal": true; }; "view": { "alias": "view"; "required": true; "isSignal": true; }; "selected": { "alias": "selected"; "required": true; "isSignal": true; }; "extension": { "alias": "extension"; "required": true; "isSignal": true; }; "HTMLAttributes": { "alias": "HTMLAttributes"; "required": true; "isSignal": true; }; "getPos": { "alias": "getPos"; "required": true; "isSignal": true; }; "updateAttributes": { "alias": "updateAttributes"; "required": true; "isSignal": true; }; "deleteNode": { "alias": "deleteNode"; "required": true; "isSignal": true; }; }, {}, never, never, false, never>;
}
export {};
