import { OnDestroy, OnInit } from '@angular/core';
import { Editor } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class TiptapBubbleMenuDirective implements OnInit, OnDestroy {
    private elRef;
    readonly editor: import("@angular/core").InputSignal<Editor>;
    readonly pluginKey: import("@angular/core").InputSignal<string | import("prosemirror-state").PluginKey<any>>;
    readonly tippyOptions: import("@angular/core").InputSignal<Partial<import("tippy.js").Props> | undefined>;
    readonly shouldShow: import("@angular/core").InputSignal<((props: {
        editor: Editor;
        element: HTMLElement;
        view: import("prosemirror-view").EditorView;
        state: import("prosemirror-state").EditorState;
        oldState?: import("prosemirror-state").EditorState;
        from: number;
        to: number;
    }) => boolean) | null | undefined>;
    readonly updateDelay: import("@angular/core").InputSignal<number | undefined>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TiptapBubbleMenuDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TiptapBubbleMenuDirective, "tiptap-bubble-menu[editor], [tiptapBubbleMenu][editor]", never, { "editor": { "alias": "editor"; "required": true; "isSignal": true; }; "pluginKey": { "alias": "pluginKey"; "required": false; "isSignal": true; }; "tippyOptions": { "alias": "tippyOptions"; "required": false; "isSignal": true; }; "shouldShow": { "alias": "shouldShow"; "required": false; "isSignal": true; }; "updateDelay": { "alias": "updateDelay"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
